Bug 243280 - devel/libunistring: Remove gmake dependency and enable "make test"
Summary: devel/libunistring: Remove gmake dependency and enable "make test"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-11 23:47 UTC by daniel.engberg.lists
Modified: 2020-02-02 03:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (takefu)


Attachments
Patch (861 bytes, patch)
2020-01-11 23:47 UTC, daniel.engberg.lists
koobs: maintainer-approval+
Details | Diff
Poudriere log (621.94 KB, text/plain)
2020-01-11 23:48 UTC, daniel.engberg.lists
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-01-11 23:47:30 UTC
Created attachment 210643 [details]
Patch

libunistring compiles without gmake
Add "make test" functionality

make test tested on 13-CURRENT r356392 (AMD64)
Comment 1 daniel.engberg.lists 2020-01-11 23:48:45 UTC
Created attachment 210644 [details]
Poudriere log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-12 02:20:35 UTC
Comment on attachment 210643 [details]
Patch

Approved by: portmgr (blanket(s): spurious dependencies, framework compliance)

Pending QA
Comment 3 takefu 2020-01-14 02:37:43 UTC
Comment on attachment 210643 [details]
Patch

gmake was needed around the time of 10.x-RELEASE and is no longer needed.
TEST fails with 11.3-RELEASE ix86.
It would be nice if we could solve this failure.

/bin/sh ../libtool  --tag=CC --preserve-dup-deps   --mode=link cc  -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing   -fstack-protector-strong -o test-stdbool test-stdbool.o libtests.a ../lib/libunistring.la libtests.a
libtool: link: cc -O2 -pipe -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing -fstack-protector-strong -o .libs/test-stdbool test-stdbool.o  libtests.a ../lib/.libs/libunistring.so libtests.a -Wl,-rpath -Wl,/usr/local/lib
depbase=`echo test-stddef.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; cc -DHAVE_CONFIG_H -DEXEEXT=\"\" -I. -I. -I../lib -I..  -DIN_LIBUNISTRING_GNULIB_TESTS=1  -I. -I.  -I.. -I./..  -I../lib -I./../lib  -DLIBICONV_PLUG -D_THREAD_SAFE  -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing -MT test-stddef.o -MD -MP -MF $depbase.Tpo -c -o test-stddef.o test-stddef.c && mv -f $depbase.Tpo $depbase.Po
test-stddef.c:63:1: error: bit-field '_gl_verify_error_if_negative' has negative width (-1)
verify (__alignof__ (double) <= __alignof__ (max_align_t));
^
../lib/verify.h:261:20: note: expanded from macro 'verify'
# define verify(R) _GL_VERIFY (R, "verify (" #R ")")
                   ^
../lib/verify.h:220:8: note: expanded from macro '_GL_VERIFY'
      [_GL_VERIFY_TRUE (R, DIAGNOSTIC)]
       ^
../lib/verify.h:185:15: note: expanded from macro '_GL_VERIFY_TRUE'
   (!!sizeof (_GL_VERIFY_TYPE (R, DIAGNOSTIC)))
              ^
../lib/verify.h:205:27: note: expanded from macro '_GL_VERIFY_TYPE'
    struct { unsigned int _gl_verify_error_if_negative: (R) ? 1 : -1; }
                          ^
1 error generated.
*** Error code 1

Stop.
make[5]: stopped in /root/ports/devel/libunistring/work/libunistring-0.9.10/tests
*** Error code 1
Comment 4 daniel.engberg.lists 2020-01-14 22:16:19 UTC
Hi,

Unfortunately I have no idea how to fix that, perhaps it should reported upstream? This also occurs using gmake to it's not a make related issue.

Best regards,
Daniel
Comment 5 commit-hook freebsd_committer 2020-02-02 02:29:23 UTC
A commit references this bug:

Author: swills
Date: Sun Feb  2 02:28:32 UTC 2020
New revision: 524801
URL: https://svnweb.freebsd.org/changeset/ports/524801

Log:
  devel/libunistring: Remove gmake dependency and enable test

  No PORTREVISION bump because package is not changed

  PR:		243280
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	takefu@airport.fm (maintainer)

Changes:
  head/devel/libunistring/Makefile
Comment 6 Steve Wills freebsd_committer 2020-02-02 03:00:01 UTC
Committed, thanks!